// Fill out your copyright notice in the Description page of Project Settings.

using UnrealBuildTool;

public class CsoundTest : ModuleRules
{


    public CsoundTest(ReadOnlyTargetRules Target) : base(Target)
    {
        PCHUsage = PCHUsageMode.UseExplicitOrSharedPCHs;

        PublicDependencyModuleNames.AddRange(new string[] { "Core", "CoreUObject", "Engine", "InputCore" });

        PrivateDependencyModuleNames.AddRange(new string[] { });

        //PublicIncludePaths.Add(");


        PublicAdditionalLibraries.Add("C:\\Program Files\\Csound6_x64\\lib\\csound64.lib");

        PublicIncludePaths.AddRange(
     new string[] {
         "C:\\Program Files\\Csound6_x64\\include\\csound"
        }
     );
        PublicDefinitions.Add("WIN32=1");
        PublicDefinitions.Add("CABBAGE=1");
        PublicDefinitions.Add("MSVC=1");
        // Uncomment if you are using Slate UI
        // PrivateDependencyModuleNames.AddRange(new string[] { "Slate", "SlateCore" });

        // Uncomment if you are using online features
        // PrivateDependencyModuleNames.Add("OnlineSubsystem");

        // To include OnlineSubsystemSteam, add it to the plugins section in your uproject file with the Enabled attribute set to true
    }
}
